/*************************************************  Common Functions Header  **************************************************

	Red Rapids
	797 North Grove Rd
	Suite 101
	Richardson, TX 75081
	www.redrapids.com | support@redrapids.com

	Copyright 2014, Red Rapids, Inc.

*************************************************  Common Functions Header  **************************************************/

#ifndef _COMMON_FUNCTIONS_H_
#define _COMMON_FUNCTIONS_H_

#if defined(__cplusplus)
	extern "C" {
#endif

// Prototypes for each of the common functions in alphabetic order.
unsigned long BusClose(s_Adapter *p_HW);
unsigned long BusOpen(s_Adapter *p_HW);
unsigned long FirmwareRevision(s_Adapter *p_HW);
unsigned long MicrosecondTimer(unsigned long Time);
unsigned long ModelNumber(s_Adapter *p_HW);
unsigned long Read(s_Adapter *p_HW, unsigned long Bar, unsigned long Off, unsigned long long *p_Value);
unsigned long SoftwareReset(s_Adapter *p_HW);
unsigned long Write(s_Adapter *p_HW, unsigned long Bar, unsigned long Off, unsigned long long Value);

#ifdef __cplusplus
}
#endif

#endif
